/*
 *  dosgate 1.0, a Linux+dosemu interface to dos-based screen readers
 *  Copyright (C) 1999  Enrico Zini
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  You can reach the author at zinie@cs.unibo.it
 */
#ifndef CMDQ_H
#define CMDQ_H

#include "bool.h"

#define CMD_QUEUE_EMPTY	0x00
#define CMD_VC_CHANGE	0x01
#define CMD_SCANCODE	0x02
#define CMD_QUIT	0x03

#define MK_CMD(cmd, arg) ((cmd << 8) | arg)
#define CMD(n) (((n) >> 8) & 0xff)
#define ARG(n) ((n) & 0xff)

typedef unsigned short int command;

int cmd_count();
bool cmd_enqueue(unsigned char cmd, unsigned char arg);
command cmd_dequeue(bool should_block);


#endif
