/*
 *  dosgate 1.0, a Linux+dosemu interface to dos-based screen readers
 *  Copyright (C) 1999  Enrico Zini
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  You can reach the author at zinie@cs.unibo.it
 */
#ifndef KEYBOARD_H
#define KEYBOARD_H

#include "bool.h"

#define F(n) (58+(n))
#define ALT_F(n) (103+(n))

/* Keyboard hardware interrupt handler */
void interrupt int09_handler();

/* BIOS keyboard interrupt handler */
void interrupt int16_handler();

/* Check if bios has pending keypresses for us */
bool bios_haskey();

/* Read an (extended??) key via bios */
int bios_getkey();

#endif
