/*
 *  dosgate 1.0, a Linux+dosemu interface to dos-based screen readers
 *  Copyright (C) 1999  Enrico Zini
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  You can reach the author at zinie@cs.unibo.it
 */
#ifndef LINGATE_H
#define LINGATE_H

/*#include "bool.h"*/

#pragma pack(1)
struct coord {
	char x;
	char y;
};
#pragma pack()

#define LG_HAS_VCSA 1
#define LG_HAS_VKBD 2

int lg_init(const char *ldev_path);
void lg_end();
long int lg_current_vc();
void lg_switch_vc(long int vc_no);
void lg_read_screen(struct coord *geometry, struct coord *cursor, unsigned char *content);
void lg_forward_scancode(unsigned char scancode);

#endif
