/*
 *  vk_test 1.0, a program to test the vkeyboard device
 *  Copyright (C) 1999  Enrico Zini and Nicolas Pitre
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  You can reach the authors at zinie@cs.unibo.it or nico@cam.org
 */

/* We send 'o' and C-c to the 4th virtual console */

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

struct vk_cmd
{
	unsigned long int vc_num;
	unsigned long int scancode;
};

void send(int fd, unsigned long int vc_num, unsigned long int scancode)
{
	struct vk_cmd c;
	c.vc_num = vc_num;
	c.scancode = scancode;
	write(fd, &c, sizeof(struct vk_cmd));
}

int main(int argc, char *argv[])
{
	int fd = open("vk", O_WRONLY);

	/* Send an 'o' */
	send(fd, 4, 0x18); /* o up */
	send(fd, 4, 0x98); /* o down */
	/* Send C-c */
	send(fd, 4, 0x1d); /* ctrl down */
	send(fd, 4, 0x2e); /* c down */
	send(fd, 4, 0xae); /* c up */
	send(fd, 4, 0x9d); /* ctrl up */

	close(fd);

	return 0;
}
